Bug 168613 - CF to IDE adapter has issues after fresh installation
CF to IDE adapter has issues after fresh installation
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-09-17 23:25 EDT by Need Real Name
Modified: 2015-01-04 17:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-04 21:33:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2005-09-17 23:25:15 EDT
Description of problem:

I am attempting to set up a gateway server using solid state memory.  I
purchaced a CF to IDE adapter (http://www.dealsonic.com/sysdidetocof.html), and
a 4GB SanDisk Card

I was able to successfully install the minimum server install (approx 600MB

Then after the grub boot loader it started complaining that it could not "flush
cache."  Then it went a little further, detected my optical mouse, and
redisplayed a similar message that it could not "flush cache."

Then a little later it started complaining that the kernel had concerns, and
then it just hung.

My dream would ultimately be to put four 4GB CF cards and adapters in the
server, to create a logical volume of 16GB so that I could install more components.

Before I went "hog wild" down that path I thought I would try to get the OS to
work with just one 4GB CF card.

The device I used emulates a Hard Disk to the CMOS.  When the system boots, the
CMOS calls it a SanDisk 4GB HDD.

Would it be possible to modify Fedora to overcome these challenges?  The adapter
even stated that it could be used with linux, although it did not reference a
specific build...

Version-Release number of selected component (if applicable):

How reproducible:

Just install Fedora Core 4 selecting "server" with "minimal" packages.  Let it
reboot, and the error messages start occurring as noted above.

Steps to Reproduce:
1.  Install Fedora Core 4 from scratch.
2.  Select "Server"
3.  Select "Minimal" packages
4.  Finish installation.
5.  Reboot.
6.  Wait for HDD initallization scripts after GRUB starts to load the kernel.
Actual results:

It hangs after the OS gets about half way loaded.

Expected results:

I was hoping that I could use the 4GB as a "poor mans" solid state HDD, and have
Fedora Core 4 boot up entirely.

Additional info:
Comment 1 Alasdair Kergon 2005-09-21 16:24:45 EDT
This isn't anything to do with device-mapper :-)

You need to quote exactly the messages you see before it hangs so we can
determine in what area the problem occurs.
Comment 3 Pete Zaitcev 2005-09-21 19:26:40 EDT
There's nothing unusual in this configuration, I saw people doing exactly
that, or even using an old 40-bin IDE socketed flash without any CF.

This looks like a NOTABUG material. I blame the hardware.

Try to make sure that DMA is not enabled, and maybe try different adapters
and CF cards.
Comment 4 Dave Jones 2005-11-10 13:55:59 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 5 Dave Jones 2006-02-03 01:22:39 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 6 John Thacker 2006-05-04 21:33:53 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.